package com.layoutxml.sabs.utils;

import android.util.Log;

/*
Code generated by mmotti https://github.com/mmotti
 */

import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class BlockUrlPatternsMatch {

    public static boolean wildcardValid (String domain){
        String wildcardPattern = "(?i)^([*])([A-Z0-9-_.]+)$|^([A-Z0-9-_.]+)([*])$|^([*])([A-Z0-9-_.]+)([*])$";
        Pattern r = Pattern.compile(wildcardPattern);
        Matcher m = r.matcher(domain);
        return m.matches();
    }

    public static boolean domainValid (String domain){
        String domainPattern = "(?i)(?=^.{4,253}$)(^((?!-)[a-z0-9-]{1,63}(?<!-)\\.)+[a-z]{2,63}$)";
        Pattern r = Pattern.compile(domainPattern);
        Matcher m = r.matcher(domain);
        return m.matches();
    }

    public static boolean filepathValid (String filePath) {
        // Validation for checking whether a local file has been entered
        String filePathPattern = "(?i)^([/]storage[/])([A-Z0-9-_./]+)([.]txt)$|^([/]sdcard[0-9]?[/])([A-Z0-9-_./]+)([.]txt)$";
        Pattern r = Pattern.compile(filePathPattern);
        Matcher m = r.matcher(filePath);
        return m.matches();
    }

}